ServerEvents.recipes(event => {
event.remove({ output: 'tacz:gun_smith_table' })
event.remove({ output: 'ae2:calculation_processor_press' })
event.remove({ output: 'ae2:engineering_processor_press' })
event.remove({ output: 'ae2:logic_processor_press' })
event.remove({ output: 'ae2:silicon_press' })
event.remove({ mod: 'dimpaintings' })
event.remove({ mod: 'cure' })
event.remove({ output: 'ad_astra:solar_panel' })
event.remove({ output: 'ad_astra:photovoltaic_etrium_cell' })
event.remove({ output: 'superbwarfare:dps_generator_deployer' })
event.remove({ output: 'superbwarfare:glock_17' })
event.remove({ output: 'superbwarfare:glock_18' })
event.remove({ output: 'superbwarfare:mp_443' })
event.remove({ output: 'superbwarfare:m_1911' })
event.remove({ output: 'superbwarfare:homemade_shotgun' })
event.remove({ output: 'superbwarfare:trachelium' })
event.remove({ output: 'superbwarfare:mp_5' })
event.remove({ output: 'superbwarfare:vector' })
event.remove({ output: 'superbwarfare:ak_47' })
event.remove({ output: 'superbwarfare:ak_12' })
event.remove({ output: 'superbwarfare:sks' })
event.remove({ output: 'superbwarfare:m_4' })
event.remove({ output: 'superbwarfare:hk_416' })
event.remove({ output: 'superbwarfare:qbz_95' })
event.remove({ output: 'superbwarfare:mk_14' })
event.remove({ output: 'superbwarfare:marlin' })
event.remove({ output: 'superbwarfare:k_98' })
event.remove({ output: 'superbwarfare:mosin_nagant' })
event.remove({ output: 'superbwarfare:svd' })
event.remove({ output: 'superbwarfare:m_98b' })
event.remove({ output: 'superbwarfare:sentinel' })
event.remove({ output: 'superbwarfare:huntinh_rifle' })
event.remove({ output: 'superbwarfare:ntw_20' })
event.remove({ output: 'superbwarfare:m_870' })
event.remove({ output: 'superbwarfare:aa_12' })
event.remove({ output: 'superbwarfare:devotion' })
event.remove({ output: 'superbwarfare:rpk' })
event.remove({ output: 'superbwarfare:m_60' })
event.remove({ output: 'superbwarfare:minigun' })
event.remove({ output: 'superbwarfare:m_79' })
event.remove({ output: 'superbwarfare:secondary_cataclysm' })
event.remove({ output: 'superbwarfare:rpg' })
event.remove({ output: 'superbwarfare:aurelia_sceptre' })
event.remove({ output: 'superbwarfare:bocek' })
event.remove({ output: 'superbwarfare:handgun_ammo' })
event.remove({ output: 'superbwarfare:grenade_40mm' })
event.remove({ output: 'superbwarfare:heavy_ammo' })
event.remove({ output: 'superbwarfare:shotgun_ammo' })
event.remove({ output: 'superbwarfare:sniper_ammo' })
event.remove({ output: 'superbwarfare:rifle_ammo' })
event.remove({ output: 'superbwarfare:javeline_missile' })
event.remove({ output: 'superbwarfare:rpg_rocket' })
event.remove({ output: 'superbwarfare:small_shell' })
event.remove({ output: 'superbwarfare:rocket_70' })
event.remove({ output: 'superbwarfare:wire_guide_missile' })
event.remove({ output: 'superbwarfare:agm' })
event.remove({ output: 'superbwarfare:swarm_drone' })
event.remove({ output: 'apocalypsenow:bombsquad_helmet' })
event.remove({ output: 'apocalypsenow:bombsquad_chestplate' })
event.remove({ output: 'apocalypsenow:bombsquad_leggings' })
event.remove({ output: 'apocalypsenow:bombsquad_boots' })
event.remove({ output: 'apocalypsenow:juggernaut_helmet' })
event.remove({ output: 'apocalypsenow:juggernaut_chestplate' })
event.remove({ output: 'apocalypsenow:juggernaut_leggings' })
event.remove({ output: 'apocalypsenow:juggernaut_boots' })

event.shaped('apocalypsenow:juggernaut_boots', 
  [// arg 1: output
    '   ', 
    'BCB', // arg 2: the shape (array of strings)
    'ADA'  
  ],
    {
	A: 'apocalypsenow:reinforced_armor_plate',
	B: 'apocalypsenow:kevlar',
	C: 'enderitemod:enderite_ingot',
	D: 'enderitemod:enderite_boots'
  }
);

event.shaped('apocalypsenow:juggernaut_leggings', 
  [// arg 1: output
    'ABA', 
    'ACA', // arg 2: the shape (array of strings)
    'ADA'  
  ],
    {
	A: 'apocalypsenow:reinforced_armor_plate',
	B: 'apocalypsenow:kevlar',
	C: 'enderitemod:enderite_ingot',
	D: 'enderitemod:enderite_leggings'
  }
);

event.shaped('apocalypsenow:juggernaut_chestplate', 
  [// arg 1: output
    'ADA', 
    'BAB', // arg 2: the shape (array of strings)
    'ACA'  
  ],
    {
	A: 'apocalypsenow:reinforced_armor_plate',
	B: 'apocalypsenow:kevlar',
	C: 'enderitemod:enderite_ingot',
	D: 'enderitemod:enderite_chestplate'
  }
);

event.shaped('apocalypsenow:juggernaut_helmet', 
  [// arg 1: output
    'ACA', 
    'ABA', // arg 2: the shape (array of strings)
    ' D '  
  ],
    {
	A: 'apocalypsenow:reinforced_armor_plate',
	B: 'apocalypsenow:kevlar',
	C: 'enderitemod:enderite_ingot',
	D: 'enderitemod:enderite_helmet'
  }
);

event.shaped('apocalypsenow:bombsquad_boots', 
  [// arg 1: output
    '   ', 
    ' C ', // arg 2: the shape (array of strings)
    'ADA'  
  ],
    {
	A: 'apocalypsenow:reinforced_armor_plate',
	B: 'apocalypsenow:kevlar',
	C: 'minecraft:netherite_ingot',
	D: 'minecraft:netherite_boots'
  }
);

event.shaped('apocalypsenow:bombsquad_leggings', 
  [// arg 1: output
    'ADA', 
    'ACA', // arg 2: the shape (array of strings)
    'B B'  
  ],
    {
	A: 'apocalypsenow:reinforced_armor_plate',
	B: 'apocalypsenow:kevlar',
	C: 'minecraft:netherite_ingot',
	D: 'minecraft:netherite_leggings'
  }
);

event.shaped('apocalypsenow:bombsquad_chestplate', 
  [// arg 1: output
    'A A', 
    'BDB', // arg 2: the shape (array of strings)
    'ACA'  
  ],
    {
	A: 'apocalypsenow:reinforced_armor_plate',
	B: 'apocalypsenow:kevlar',
	C: 'minecraft:netherite_ingot',
	D: 'minecraft:netherite_chestplate'
  }
);

event.shaped('apocalypsenow:bombsquad_helmet', 
  [// arg 1: output
    'ACA', 
    'BDB', // arg 2: the shape (array of strings)
    '   '  
  ],
    {
	A: 'apocalypsenow:reinforced_armor_plate',
	B: 'apocalypsenow:kevlar',
	C: 'minecraft:netherite_ingot',
	D: 'minecraft:netherite_helmet'
  }
);

event.shaped('dimpaintings:overworld_painting', 
  [// arg 1: output
    'AEA', 
    'DBD', // arg 2: the shape (array of strings)
    'CEC'  
  ],
    {
	A: '#forge:stone',
	B: 'minecraft:painting',
	C: '#forge:dirt',
	D: '#forge:sand',
	E: 'minecraft:logs' 
  }
);

event.shaped('dimpaintings:overworld_painting', 
  [// arg 1: output
    'AEA', 
    'DBD', // arg 2: the shape (array of strings)
    'CEC'  
  ],
    {
	A: '#forge:stone',
	B: 'minecraft:painting',
	C: '#forge:dirt',
	D: '#forge:sand',
	E: 'minecraft:water_bucket' 
  }
);

event.shaped('dimpaintings:nether_painting', 
  [// arg 1: output
    'CAC', 
    'DBD', // arg 2: the shape (array of strings)
    'EAE'  
  ],
    {
	A: 'minecraft:lava_bucket',
	B: 'minecraft:painting',
	C: 'minecraft:crying_obsidian',
	D: 'minecraft:soul_sand',
	E: 'minecraft:magma_block' 
  }
);

event.shaped('dimpaintings:end_painting', 
  [// arg 1: output
    'ACA', 
    'DBD', // arg 2: the shape (array of strings)
    'ACA'  
  ],
    {
	A: 'minecraft:ender_eye',
	B: 'minecraft:painting',
	C: '#forge:ingots/enderium',
	D: '#forge:ingots/netherite'
	}
);

event.shaped('ae2:silicon_press', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'ae2:charged_certus_quartz_crystal',
	B: 'ae2:silicon'
  }
);

event.shaped('ae2:logic_processor_press', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'ae2:charged_certus_quartz_crystal',
	B: 'minecraft:gold_block'
  }
);
event.shaped('ae2:engineering_processor_press', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'ae2:charged_certus_quartz_crystal',
	B: 'minecraft:diamond_block'
  }
);

event.shaped('ae2:calculation_processor_press', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'ae2:charged_certus_quartz_crystal',
	B: 'minecraft:redstone_block'
  }
);
event.shaped('ae2:certus_quartz_crystal', 
  [// arg 1: output
    'AA ', 
    'AA ', // arg 2: the shape (array of strings)
    'AA '  
  ],
    {
	A: 'ae2:certus_quartz_dust'
  }
);
event.shaped('tacz:gun_smith_table', 
  [// arg 1: output
    'AAA', 
    'DBD', // arg 2: the shape (array of strings)
    'DCD'  
  ],
    {
	B: 'immersiveengineering:hammer',
	C: '#forge:ingots/brass',
	D: '#forge:storage_blocks/iron',
	A: '#minecraft:logs'
  }
);

event.shaped('cure:antidote', 
  [// arg 1: output
    ' FC', 
    'EBG', // arg 2: the shape (array of strings)
    'HD '  
  ],
    {
	B: 'infectionmod:syringe_blood',
	C: 'minecraft:sugar',
	D: 'minecraft:milk_bucket',
	E: 'minecraft:golden_apple',
	F: 'minecraft:golden_carrot',
	G: 'minecraft:glistering_melon_slice',
	H: '#forge:dusts/salt'
	
  }
);
event.shaped('infectionmod:adrenaline', 
  [// arg 1: output
    ' EC', 
    'DBD', // arg 2: the shape (array of strings)
    'CE '  
  ],
    {
	B: '#forge:ingots/zinc',
	C: 'infectionmod:syringe',
	D: 'infectionmod:vitamins',
	E: 'infectionmod:suspicious_tincture'
  }
);
event.shaped('infectionmod:morphine', 
  [// arg 1: output
    ' EC', 
    'DBD', // arg 2: the shape (array of strings)
    'CE '  
  ],
    {
	B: '#forge:ingots/zinc',
	C: 'infectionmod:syringe',
	D: 'infectionmod:vitamins',
	E: 'infectionmod:chemicals'
  }
);
event.shaped('infectionmod:syringe_blood', 
  [// arg 1: output
    'BC ', 
    '   ', // arg 2: the shape (array of strings)
    '   '  
  ],
    {
	B: 'minecraft:rotten_flesh',
	C: 'infectionmod:syringe'
  }
);
})